Page MenuHomePhabricator

Civi should record merge activities on both old and new contacts
Closed, ResolvedPublic1 Story Points

Description

It seems that there's no way to detect whether an existing contact has had other contacts merged in. This is needed for our planned "undo dedupe" feature, and is also useful for queries where we need to take dedupedness into account.

Event Timeline

awight created this task.Nov 23 2015, 7:50 PM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 23 2015, 7:50 PM

I just brought this in the sprint because the fix for this is among the ones I queued for review & I merged it into master

DStrine set Security to None.
Eileenmcnaughton set the point value for this task to 1.Mar 16 2016, 10:40 PM

The activity is now created on live so if we can get these reviewed:

https://gerrit.wikimedia.org/r/#/c/277448/
https://gerrit.wikimedia.org/r/#/c/277449/

We can deploy this part & close it off

It has been merged to 4.7

Eileenmcnaughton closed this task as Resolved.Apr 5 2016, 2:07 AM
mmodell removed a subscriber: awight.Jun 22 2017, 9:51 PM